Loading...
Searching...
No Matches
Halide::Internal::CodeGen_LLVM::VPArg Struct Reference

Support for generating LLVM vector predication intrinsics ("@llvm.vp.*" and "@llvm.experimental.vp.*"). More...

`#include <CodeGen_LLVM.h>`

## Public Member Functions

| VPArg (llvm::Value *value, std::optional< size_t > mangle_index=std::nullopt, int32_t alignment=0)

## Public Attributes

llvm::Value * | value
std::optional< size_t > | mangle_index
int | alignment

## Detailed Description

Support for generating LLVM vector predication intrinsics ("@llvm.vp.*" and "@llvm.experimental.vp.*").

Struct to hold descriptor for an argument to a vector predicated intrinsic. This includes the value, whether the type of the argument should be mangled into the intrisic name and if so, where, and the alignment for pointer arguments.

Definition at line 622 of file CodeGen_LLVM.h.

## Constructor & Destructor Documentation

## VPArg()

Halide::Internal::CodeGen_LLVM::VPArg::VPArg | ( | llvm::Value * | value,
|  | std::optional< size_t > | mangle_index = std::nullopt,
|  | int32_t | alignment = 0 )

inline

Definition at line 627 of file CodeGen_LLVM.h.

References alignment, mangle_index, and value.

## Member Data Documentation

## value

llvm::Value* Halide::Internal::CodeGen_LLVM::VPArg::value

Definition at line 623 of file CodeGen_LLVM.h.

Referenced by VPArg().

## mangle_index

std::optional<size_t> Halide::Internal::CodeGen_LLVM::VPArg::mangle_index

Definition at line 625 of file CodeGen_LLVM.h.

Referenced by VPArg().

## alignment

int Halide::Internal::CodeGen_LLVM::VPArg::alignment

Definition at line 626 of file CodeGen_LLVM.h.

Referenced by VPArg().

The documentation for this struct was generated from the following file:

- src/CodeGen_LLVM.h